/*
    Header da classe CIntercepta
*/

#ifndef _CINTERCEPTA_
#define _CINTERCEPTA_

    #include "CPoints.h"
    
    struct CSegmento {
           CCoord* p1;
           CCoord* p2;
    };
    
    class CIntercepta {
          private:
                  CCoord** vet;
                  CSegmento seg;
                  int p1, p2;
          public:
                  bool intercepta(CSegmento *s1, CSegmento *s2);
                  
                  CPoints points;
                  
                  CIntercepta();
                  
                  CSegmento* first();
                  CSegmento* last();
                  CSegmento* next();
    };
        
        
#endif

