/*
    Projeto Intercepta
    Programa principal
*/

#include <cstdlib>
#include <iostream>
#include "CIntercepta.h"
#include "CCartesian.h"

using namespace std;

// objeto que trata as coordenadas
CIntercepta intercepta;
CCartesian cart;

/*
void testeIntercepta() {
    CSegmento s1, s2;
    CCoord c1, c2, c3, c4;
    
    c1.x = 22;  c1.y = 30;
    c2.x = -30; c2.y = 20;
    
    c3.x = 0;   c3.y = 30;
    c4.x = -10; c4.y = 14.8;
    
    s1.p1 = &c1;
    s1.p2 = &c2;
    s2.p1 = &c3;
    s2.p2 = &c4;
    
    if(intercepta.intercepta(&s1, &s2)) printf("INTERCEPTOU !!!!!\n");
    else printf("NAO INTERCEPTOU !!!!\n");

}
*/
   
// funo que exibe os dados na tela
void processaAmostra() {
    CSegmento *s;  // representa uma coordenada qualquer
    CPoints p;
    
    //CCoord** c;

    //testeIntercepta();

    /*
    printf("PONTOS ORDENADOS:\n");
    printf("\t(x,y)\n");
    
    c = intercepta.points.sort();         
    for(int i=0; i < intercepta.points.count(); i++) {
            printf("\t(%.2f,%.2f)\n", c[i]->x, c[i]->y);
   }
   */
        
    printf("SEGMENTOS TRIANGULACAO:\n");
    printf("\t(x,y)\t(x,y)\n");
    
    cart.points.clear();
    
    s = intercepta.first();         // pega o primeiro segmento
    while(s) {

            printf("\t(%.2f,%.2f)\t(%.2f,%.2f)\n", s->p1->x, s->p1->y, s->p2->x, s->p2->y);
    
            //p.add(s->p1->x, s->p1->y, 0);
            //p.add(s->p2->x, s->p2->y, 0);
            
            s = intercepta.next();  // vai para o prximo segmento
   
   }
    
   system("PAUSE");
   
   cart.load(&intercepta.points);
   cart.plot(false);
   
   system("PAUSE");
   
   //cart.load(&p);
   //cart.plot(true);
   
   //system("PAUSE");
}

/*
void AlteraTamanhoJanela(GLsizei w, GLsizei h)
{
                   // Evita a divisao por zero
                   if(h == 0) h = 1;
                           
                   // Especifica as dimenses da Viewport
                   glViewport(0, 0, w, h);

                   // Inicializa o sistema de coordenadas
                   glMatrixMode(GL_PROJECTION);
                   glLoadIdentity();

                   // Estabelece a janela de seleo (left, right, bottom, top)
                   if (w <= h) 
                           gluOrtho2D (0.0f, 250.0f, 0.0f, 250.0f*h/w);
                   else 
                           gluOrtho2D (0.0f, 250.0f*w/h, 0.0f, 250.0f);
}


void init (void)
{
// Seleciona a cor de fundo para limpeza da tela 
glClearColor (0.0, 0.0, 0.0, 0.0);
  
// inicializa os valores de visualizao 
glMatrixMode(GL_PROJECTION);

// Faz com que a matriz corrente seja inicializada
// com a matriz identidade (nenhuma transformao  acumulada)

glLoadIdentity();
glOrtho(50.0, 50.0, 50.0, 50.0, -50.0, 50.0);
AlteraTamanhoJanela(400, 350);
}

void Desenha(void)
{
	CSegmento *s;
    //Limpa a janela de visualizao com a cor de fundo especificada 
	glClear(GL_COLOR_BUFFER_BIT);
     glBegin(GL_LINES);
     glColor3f(1.0,1.0,1.0);
     
    s = intercepta.first();         // pega o primeiro segmento
     while(s) {

            glVertex2f(s->p1->x,s->p1->y);
            glVertex2f(s->p2->x,s->p2->y);
              
            s = intercepta.next();  // vai para o prximo segmento
   
   }
       
    glEnd();



	//Executa os comandos OpenGL 
	glFlush();
}

// Inicializa parmetros de rendering
void Inicializa (void)
{   
    // Define a cor de fundo da janela de visualizao como preta
    glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
    glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);

  

}

*/
     
int main(int argc, char *argv[])
{



//fim opengl  
        
    system("cls");
    printf("AMOSTRA ARQUIVO\n");
    printf("---------------\n");
    intercepta.points.loadFromFile("vetor_poli_2D.txt"); // carrega os pontos do arquivo
    processaAmostra();                               // exibe na tela
    
    //glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
	//glutCreateWindow("fecho convexo");
	//glutDisplayFunc(Desenha);
	//Inicializa();
	//Desenha();
	//glutMainLoop(); 
    
    //system("PAUSE");
    return EXIT_SUCCESS;
}
